Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Endpoint Class Reference

SSLIOP-specific implementation of PP Framework Endpoint interface. More...

`#include <SSLIOP_Endpoint.h>`

Inheritance diagram for TAO_SSLIOP_Endpoint:

[legend]
Collaboration diagram for TAO_SSLIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Endpoint (const SSLIOP::SSL *ssl_component, TAO_IIOP_Endpoint *iiop_endp)
| Constructor. More...
| ~TAO_SSLIOP_Endpoint (void)
| Destructor. More...
TAO_Endpoint Methods
See Endpoint.h for their documentation.
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
  | Return true if this endpoint is equivalent to Parameters:
  other_endpoint. |
More...
virtual TAO_Endpoint * | duplicate (void)
| Return a copy of the corresponding endpoints by allocating memory. More...
virtual CORBA::ULong | hash (void)
| Return a hash value for this object. More...
SSLIOP_Endpoint-specific Methods
const SSLIOP::SSL & | ssl_component (void) const
| Return SSL component corresponding to this endpoint. More...
TAO_IIOP_Endpoint * | iiop_endpoint (void) const
| Accessor to our IIOP counterpart. More...
void | iiop_endpoint (TAO_IIOP_Endpoint *endpoint, int destroy)
| Mutator to our IIOP counterpart. More...
const ACE_INET_Addr & | object_addr (void) const
| Return the SSLIOP-specific ACE_INET_Addr. More...
void | qop (Security::QOP qop)
| Set the Quality-of-Protection settings for this endpoint. More...
Security::QOP | qop (void) const
| Get the Quality-of-Protection settings for this endpoint. More...
void | trust (const Security::EstablishTrust &trust)
| Set the establishment of trust settings for this endpoint. More...
Security::EstablishTrust | trust (void) const
| Get the establishment of trust settings for this endpoint. More...
void | credentials (TAO_SSLIOP_Credentials_ptr creds)
| Set the credentials for this endpoint. More...
TAO_SSLIOP_Credentials * | credentials (void) const
| Get the credentials for this endpoint. More...
## Private Attributes
SSLIOP::SSL | ssl_component_
| Cache the SSL tagged component in a decoded format. Notice that we do not need to marshal this object! More...
ACE_INET_Addr | object_addr_
| Cached instance of ACE_INET_Addr for use in making invocations, etc. More...
TAO_SSLIOP_Endpoint * | next_
| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any. More...
TAO_IIOP_Endpoint * | iiop_endpoint_
| IIOP counterpart. More...
int | destroy_iiop_endpoint_
| Flag that determines whether or not the iiop_endpoint_ member is deallocated with delete(). More...
Security::QOP | qop_
| Quailty-of-Protection settings for this endpoint object. More...
Security::EstablishTrust | trust_
| Establishment of trust settings for this endpoint object. More...
TAO_SSLIOP_Credentials_var | credentials_
| SSLIOP-specific credentials for this endpoint object. More...
## Friends
class | TAO_SSLIOP_Profile

## Detailed Description

SSLIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_SSLIOP_Endpoint::TAO_SSLIOP_Endpoint | ( | const SSLIOP::SSL * | ssl_component,
|  | TAO_IIOP_Endpoint * | iiop_endp
| ) |

| Constructor.

TAO_SSLIOP_Endpoint::~TAO_SSLIOP_Endpoint | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SSLIOP_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length
| ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE TAO_SSLIOP_Credentials * TAO_SSLIOP_Endpoint::credentials | ( | void |  | ) | const

| Get the credentials for this endpoint. Note: This method does not follow C++ mapping memory management rules. Specifically, no duplication or reference counting occurs in this method. This is so that no additional locks occur when checking the transport cache.

ACE_INLINE void TAO_SSLIOP_Endpoint::credentials | ( | TAO_SSLIOP_Credentials_ptr | creds | ) |

| Set the credentials for this endpoint.

TAO_Endpoint * TAO_SSLIOP_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

| Return a copy of the corresponding endpoints by allocating memory. Reimplemented from TAO_Endpoint.

CORBA::ULong TAO_SSLIOP_Endpoint::hash | ( | void |  | ) | `[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

ACE_INLINE void TAO_SSLIOP_Endpoint::iiop_endpoint | ( | TAO_IIOP_Endpoint * | iiop_endpoint,
|  | int | destroy
| ) |

  | Mutator to our IIOP counterpart. Parameters:
  destroy | If set to a non-zero value, then the TAO_SSLIOP_Endpoint object retains ownership of the given TAO_IIOP_Endpoint.

ACE_INLINE TAO_IIOP_Endpoint * TAO_SSLIOP_Endpoint::iiop_endpoint | ( | void |  | ) | const

| Accessor to our IIOP counterpart.

CORBA::Boolean TAO_SSLIOP_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

  | Return true if this endpoint is equivalent to Parameters:
  other_endpoint. |
Two endpoints are equivalent iff their iiop counterparts are equivalent, and, if both have non-zero ssl ports, their ssl ports are the same. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_SSLIOP_Endpoint::next | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE const ACE_INET_Addr & TAO_SSLIOP_Endpoint::object_addr | ( | void |  | ) | const

| Return the SSLIOP-specific ACE_INET_Addr.

ACE_INLINE Security::QOP TAO_SSLIOP_Endpoint::qop | ( | void |  | ) | const

| Get the Quality-of-Protection settings for this endpoint.

ACE_INLINE void TAO_SSLIOP_Endpoint::qop | ( | Security::QOP | q | ) |

| Set the Quality-of-Protection settings for this endpoint.

void TAO_SSLIOP_Endpoint::reset_hint | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE const SSLIOP::SSL & TAO_SSLIOP_Endpoint::ssl_component | ( | void |  | ) | const

| Return SSL component corresponding to this endpoint.

ACE_INLINE Security::EstablishTrust TAO_SSLIOP_Endpoint::trust | ( | void |  | ) | const

| Get the establishment of trust settings for this endpoint.

ACE_INLINE void TAO_SSLIOP_Endpoint::trust | ( | const Security::EstablishTrust & | t | ) |

| Set the establishment of trust settings for this endpoint.

## Friends And Related Function Documentation

friend class TAO_SSLIOP_Profile`[friend]`

## Member Data Documentation

TAO_SSLIOP_Credentials_var TAO_SSLIOP_Endpoint::credentials_`[private]`

| SSLIOP-specific credentials for this endpoint object.

int TAO_SSLIOP_Endpoint::destroy_iiop_endpoint_`[private]`

| Flag that determines whether or not the iiop_endpoint_ member is deallocated with delete().

TAO_IIOP_Endpoint* TAO_SSLIOP_Endpoint::iiop_endpoint_`[private]`

| IIOP counterpart. Since SSLIOP is an 'extension' of IIOP, each SSLIOP_Endpoint contains SSL-specific information plus a pointer to the IIOP_Endpoint containing the IIOP portion of our address.

TAO_SSLIOP_Endpoint* TAO_SSLIOP_Endpoint::next_`[private]`

| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_SSLIOP_Endpoint::object_addr_`[private]`

| Cached instance of ACE_INET_Addr for use in making invocations, etc.

Security::QOP TAO_SSLIOP_Endpoint::qop_`[private]`

| Quailty-of-Protection settings for this endpoint object.

SSLIOP::SSL TAO_SSLIOP_Endpoint::ssl_component_`[private]`

| Cache the SSL tagged component in a decoded format. Notice that we do not need to marshal this object!

Security::EstablishTrust TAO_SSLIOP_Endpoint::trust_`[private]`

| Establishment of trust settings for this endpoint object.

The documentation for this class was generated from the following files:

- SSLIOP_Endpoint.h
- SSLIOP_Endpoint.cpp
- SSLIOP_Endpoint.i